This URL creates a new scanning exception at specified domain.
Resource URL
POST /sensor/<sensor_id>/scanningexception
Request Parameters
URL Parameters:
| Field Name | Description | Data Type |
|---|---|---|
| sensor_id | Sensor id | Number |
Payload Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| ScanningExceptionDetailsElement | Object that contains the details of the field to be sent | Object | Yes |
Details of fields in ScanningExceptionDetailsElement:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| scanningExceptionDetails | Object that contains the details of the field to be sent | Object | Yes |
Details of fields in scanningExceptionDetails:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| forwardType | Can be one of these: TCP/UDP/VLAN | String | Yes |
| portInfo | Contains the TCP/UDP port informations | Object | No |
| vlanInfo | Contains the VLAN information | Object | No |
Either of portInfo or vlanInfo must be provided.
Details of fields in portInfo:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| portRange | Contains the port range information | Object | No |
| portNumber | Contains the port number information | Object | No |
Either of portRange or portNumber must be given.
Details of fields in portRang :
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| from | Object that contains start port value | Object | Yes |
| To | Object that contains end port value | Object | Yes |
Details of fields in from:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| value | Start port value | Number | Yes |
Details of fields in to:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| value | End port value | Number | Yes |
Details of fields in portNumber:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| value | Specified port value | Number | Yes |
Details of fields in vlanInfo:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| portPairName | Name of the port pair on which scanning exception of VLAN type should be created | Object | Yes |
| vlanIds | Contains the VLAN information | Object | Yes |
Details of fields in vlanIds:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| vlanRange | Contains the VLAN range information | Object | No |
| vlanId | Contains the VLAN id information | Object | No |
Either of vlanRange or vlanId must be given.
Details of fields in vlanRange:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| from | Object that contains start VLAN id | Object | Yes |
| To | Object that contains end VLAN id | Object | Yes |
Details of fields in from:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| value | Start VLAN id | Number | Yes |
Details of fields in to:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| value | End VLAN id | Number | Yes |
Details of fields in vlanId:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| value | Specified VLAN id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters and payload are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| status | Set to 1 if the operation was successful, -1 otherwise | Number |
Example
Request
POST https://%3CNSM_IP%3E/sdkapi/sensor/%3Csensor_id%3E/scanningexception
Payload
{
"scanningExceptionDetails":
{
"forwardType":"TCP",
"portInfo":
{
"portRange":
{
"from":
{
"value":"103"
},
"to":
{
"value":"110"
}
}
}
}
}
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 1501 | Scanning exception is not supported for the specified Sensor |
| 2 | 400 | 1502 | Please provide port info object |
| 3 | 400 | 1503 | Please provide either port range or port id object |
| 4 | 400 | 1504 | Please provide from and to both objects |
| 5 | 400 | 1505 | FROM is greater than TO |
| 6 | 400 | 1506 | VLAN ID should be between 1 and 4095 |
| 7 | 400 | 1507 | Please provide vlan ids object |
| 8 | 400 | 1508 | Please provide either vlan range or vlan id object |
| 9 | 400 | 1509 | Port number should be between 1 and 65535 |
| 10 | 400 | 1510 | Please provide Vlan info object |
| 11 | 400 | 1511 | Invalid port pair name |
| 12 | 400 | 1512 | Port pair name is required |
| 13 | 400 | 1106 | Invalid Sensor |